List Deliveries
curl --request GET \
--url https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bunship.com/api/v1/organizations/{orgId}/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "del_abc123",
"webhookId": "wh_abc123",
"event": "member.added",
"payload": {
"memberId": "mbr_def456",
"organizationId": "org_cld2abc123def456",
"userId": "usr_xyz789",
"role": "member"
},
"response": "{\"received\": true}",
"statusCode": 200,
"attempts": 1,
"nextRetryAt": null,
"deliveredAt": "2024-01-15T10:00:01Z",
"createdAt": "2024-01-15T10:00:00Z"
},
{
"id": "del_def456",
"webhookId": "wh_abc123",
"event": "subscription.updated",
"payload": {
"organizationId": "org_cld2abc123def456",
"plan": "pro"
},
"response": null,
"statusCode": 500,
"attempts": 2,
"nextRetryAt": "2024-01-15T11:00:00Z",
"deliveredAt": null,
"createdAt": "2024-01-15T10:30:00Z"
}
]
}
Webhooks
List Deliveries
Get delivery history for a webhook endpoint
GET
/
api
/
v1
/
organizations
/
{orgId}
/
webhooks
/
{id}
/
deliveries
List Deliveries
Returns the delivery history for a webhook endpoint, including payload, response status, and retry information.
Auth
Requires a valid Bearer token. User must be a member of the organization.
Path Parameters
string
required
Organization identifier.
string
required
Webhook endpoint identifier.
Query Parameters
number
default:50
Number of deliveries to return. Between 1 and 100.
Response
boolean
Always
true on success.array
Array of delivery objects.
Show delivery properties
Show delivery properties
string
Delivery identifier.
string
Webhook endpoint identifier.
string
Event type that triggered this delivery.
object
The event payload that was delivered.
string | null
Response body from the target endpoint.
number | null
HTTP status code from the target endpoint.
number
Number of delivery attempts.
string | null
ISO 8601 timestamp of the next retry, or
null if no retry is pending.string | null
ISO 8601 timestamp of successful delivery, or
null if not yet delivered.string
ISO 8601 creation timestamp.
{
"success": true,
"data": [
{
"id": "del_abc123",
"webhookId": "wh_abc123",
"event": "member.added",
"payload": {
"memberId": "mbr_def456",
"organizationId": "org_cld2abc123def456",
"userId": "usr_xyz789",
"role": "member"
},
"response": "{\"received\": true}",
"statusCode": 200,
"attempts": 1,
"nextRetryAt": null,
"deliveredAt": "2024-01-15T10:00:01Z",
"createdAt": "2024-01-15T10:00:00Z"
},
{
"id": "del_def456",
"webhookId": "wh_abc123",
"event": "subscription.updated",
"payload": {
"organizationId": "org_cld2abc123def456",
"plan": "pro"
},
"response": null,
"statusCode": 500,
"attempts": 2,
"nextRetryAt": "2024-01-15T11:00:00Z",
"deliveredAt": null,
"createdAt": "2024-01-15T10:30:00Z"
}
]
}
Example
curl "https://api.bunship.com/api/v1/organizations/org_cld2abc123def456/webhooks/wh_abc123/deliveries?limit=20" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."

